class ServiceLocatorException(Exception):
    pass


class ServiceNotFound(ServiceLocatorException):
    pass


class RegistrationNotFound(ServiceLocatorException):
    pass


class AddressChanged(ServiceLocatorException):
    def __init__(self, current_address: str):
        super().__init__()

        self.current_address = current_address
